VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::cis::tagging::TagTypes::CreateSpec Class Reference

The `Tag.CreateSpec` class describes a tag. More...

List of all members.

## Public Member Functions
| CreateSpec ()
| Creates a default new instance.
string | GetName ()
| The display name of the tag.
void | SetName (string name)
| The display name of the tag.
string | GetDescription ()
| The description of the tag.
void | SetDescription (string description)
| The description of the tag.
string | GetCategoryId ()
| The unique identifier of the parent category in which this tag will be created.
void | SetCategoryId (string categoryId)
| The unique identifier of the parent category in which this tag will be created.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Tag.CreateSpec` class describes a tag.

Use the Tag.Create method to create a tag defined by the create specification.

## Constructor & Destructor Documentation

vmware::cis::tagging::TagTypes::CreateSpec::CreateSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::cis::tagging::TagTypes::CreateSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::cis::tagging::TagTypes::CreateSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::cis::tagging::TagTypes::CreateSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::cis::tagging::TagTypes::CreateSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::cis::tagging::TagTypes::CreateSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::cis::tagging::TagTypes::CreateSpec::Equals | ( | object | obj | ) | `[inline]`

string vmware::cis::tagging::TagTypes::CreateSpec::GetCategoryId | ( |  | ) | `[inline]`

The unique identifier of the parent category in which this tag will be created.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.cis.tagging.Category` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

string vmware::cis::tagging::TagTypes::CreateSpec::GetDescription | ( |  | ) | `[inline]`

The description of the tag.

override int vmware::cis::tagging::TagTypes::CreateSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::cis::tagging::TagTypes::CreateSpec::GetName | ( |  | ) | `[inline]`

The display name of the tag.

The name must be unique within its category.

void vmware::cis::tagging::TagTypes::CreateSpec::SetCategoryId | ( | string | categoryId | ) | `[inline]`

The unique identifier of the parent category in which this tag will be created.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.cis.tagging.Category` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

void vmware::cis::tagging::TagTypes::CreateSpec::SetDescription | ( | string | description | ) | `[inline]`

The description of the tag.

void vmware::cis::tagging::TagTypes::CreateSpec::SetName | ( | string | name | ) | `[inline]`

The display name of the tag.

The name must be unique within its category.

override string vmware::cis::tagging::TagTypes::CreateSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- TagTypes.cs